Bug 243614 - Banshee will not load in Gnome.
Banshee will not load in Gnome.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 15:11 EDT by Dan Wall
Modified: 2008-06-16 21:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:32:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Wall 2007-06-10 15:11:53 EDT
Description of problem:  I am not able to load Banshee to use it.


Version-Release number of selected component (if applicable):


How reproducible:
EVERY TIME I launch it.

Steps to Reproduce:
1.  Select application to launch it. (wait for results)
2.
3.
  
Actual results:
An unhandled exception was thrown: Could not load file or assembly
'Mono.Data.SqliteClient, Version=2.0.0.0, Culture=neutral,
PublicKeyToken=0738eb9f132ed756' or one of its dependencies.

  at <0x00000> <unknown method>
  at Banshee.Base.Globals+<>c__CompilerGenerated59.<>c__AnonymousMethod178 ()
[0x00000] 
  at (wrapper delegate-invoke) System.MulticastDelegate:invoke_void ()
  at Banshee.Base.ComponentInitializer.Run () [0x00000] 
  at Banshee.Base.Globals.Initialize (Banshee.Base.ComponentInitializerHandler
interfaceStartupHandler) [0x00000] 
  at Banshee.BansheeEntry.Startup (System.String[] args) [0x00000] 
  at (wrapper delegate-invoke) System.MulticastDelegate:invoke_void_string[]
(string[])
  at Banshee.Gui.CleanRoomStartup.Startup (Banshee.Gui.StartupInvocationHandler
startup, System.String[] args) [0x00000] 
.NET Version: 2.0.50727.42

Assembly Version Information:

pango-sharp (2.10.0.0)
Mono.Cairo (2.0.0.0)
Hal (0.0.0.0)
Banshee.Widgets (0.12.1.23520)
Last.FM (0.0.0.0)
NDesk.DBus (1.0.0.0)
Mono.Posix (2.0.0.0)
NDesk.DBus.GLib (1.0.0.0)
gnome-sharp (2.16.0.0)
gdk-sharp (2.10.0.0)
System (2.0.0.0)
atk-sharp (2.10.0.0)
glib-sharp (2.10.0.0)
gtk-sharp (2.10.0.0)
Banshee.Base (0.12.1.23523)
banshee (0.12.1.23525)
mscorlib (2.0.0.0)

Platform Information: Linux 2.6.21-1.3194.fc7 x86_64 x86_64 GNU/Linux

Disribution Information:

[/etc/redhat-release]
Fedora release 7 (Moonshine)

[/etc/fedora-release]
Fedora release 7 (Moonshine)


Expected results:
To be able to use Banshee

Additional info:
Comment 1 Bug Zapper 2008-05-14 08:59:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nikolay Vladimirov 2008-06-11 15:23:47 EDT
Try as root :
yum install mono-data-sqlite 

I guess there are some missing dependencies. The package maintainer will take
care of this. 
Comment 3 Bug Zapper 2008-06-16 21:32:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.